org.apache.poi.xddf.usermodel.text

## Class XDDFSpacingPoints

- java.lang.Object
- - org.apache.poi.xddf.usermodel.text.XDDFSpacing
  - - org.apache.poi.xddf.usermodel.text.XDDFSpacingPoints

-     @Beta
      public class XDDFSpacingPoints
      extends XDDFSpacing

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.xddf.usermodel.text.XDDFSpacing

      `XDDFSpacing.Kind`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xddf.usermodel.text.XDDFSpacing

      `spacing`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFSpacingPoints(org.openxmlformats.schemas.drawingml.x2006.main.CTTextSpacing parent, org.openxmlformats.schemas.drawingml.x2006.main.CTTextSpacingPoint points)`
    `` | `XDDFSpacingPoints(double value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getPoints()`
    `XDDFSpacing.Kind` | `getType()`
    `void` | `setPoints(double value)`

    - ### Methods inherited from class org.apache.poi.xddf.usermodel.text.XDDFSpacing

      `getXmlObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFSpacingPoints

          public XDDFSpacingPoints(double value)

    - #### XDDFSpacingPoints

          @Internal
          protected XDDFSpacingPoints(org.openxmlformats.schemas.drawingml.x2006.main.CTTextSpacing parent,
                                                org.openxmlformats.schemas.drawingml.x2006.main.CTTextSpacingPoint points)

  - ### Method Detail

    - #### getType

          public XDDFSpacing.Kind getType()

      Specified by:
        `getType` in class `XDDFSpacing`

    - #### getPoints

          public double getPoints()

    - #### setPoints

          public void setPoints(double value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.